Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IHandleEventsRequestContext

All Superinterfaces
  IBaseRequestContext, IMutableRegistrationContext, INillable, com.bea.wsrp.bind.IPortletContextHolder, IRegistrationContext, IRuntimeContext, IUserContext, Serializable

    public interface IHandleEventsRequestContext

extends IBaseRequestContext, IRuntimeContext, IUserContext

A request context that represents input data for the "handleEvents" operation.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`List<Event>` | `getEvents()` Returns a list of `Event`s that are being sent to a producer.
`String` | `getMode()` The mode of a portlet for which the Producer generates markup.
`String` | `getWindowState()` The state of the current portlet's virtual window.
`void` | `setEvents(List<Event> events)` Sets the supplied list of events as events of the current portlet.
`void` | `setMode(String mode)` The supplied `mode` is set as the portlet's mode.
`void` | `setWindowState(String windowState)` The supplied `windowState` is set as the portlet's state.

Methods inherited from interface com.bea.wsrp.model.markup.IBaseRequestContext
`addMimeHeader, getHttpServletRequest, getHttpServletResponse, getMimeHeaders, getMimeHeaders, getProducerInfo, getServletContext, removeMimeHeader, setMimeHeader`

Methods inherited from interface com.bea.wsrp.model.IMutableRegistrationContext
`setRegistrationHandle, setRegistrationState`

Methods inherited from interface com.bea.wsrp.model.IRegistrationContext
`getRegistrationHandle, getRegistrationState`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.model.markup.IUserContext
`getUserContextKey, getUserProfile, setUserContextKey`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Methods inherited from interface com.bea.wsrp.model.markup.IRuntimeContext
`getDoctypeUri, getNamespacePrefix, getPortletInstanceKey, getSessionID, getSkeleton, getSkeletonChromosome, getSkeletonPath, getSkin, getSkinChromosome, getSkinPath, getTemplates, getThemeName, getThemeSkeletonChromosome, getThemeSkinChromosome, getUserAuthentication, isReturnContentToCaller, isUsingAltSkeleton, isUsingAltSkin, setDoctypeUri, setNamespacePrefix, setPortletInstanceKey, setReturnContentToCaller, setSessionID, setSkeleton, setSkeletonChromosome, setSkeletonPath, setSkin, setSkinChromosome, setSkinPath, setTemplates, setThemeName, setThemeSkeletonChromosome, setThemeSkinChromosome, setUserAuthentication, setUsingAltSkeleton, setUsingAltSkin`

Method Detail

### getMode

    String getMode()

  The mode of a portlet for which the Producer generates markup.

  Returns
    A portlet's mode.

### setMode

    void setMode(String mode)

  The supplied `mode` is set as the portlet's mode. The value can be any supported modes specified in the current portlet's metadata or "wsrp:view".

  Parameters
    `mode` - A supported portlet's mode.

### getWindowState

    String getWindowState()

  The state of the current portlet's virtual window.

  Returns
    A portlet's state.

### setWindowState

    void setWindowState(String windowState)

  The supplied `windowState` is set as the portlet's state. The value can be any supported states specified in the current portlet's metadata or "wsrp:normal".

  Parameters
    `windowState` - A supported portlet's window state.

### getEvents

    List<Event> getEvents()

  Returns a list of `Event`s that are being sent to a producer.

  Returns
    a list of events

### setEvents

    void setEvents(List<Event> events)

  Sets the supplied list of events as events of the current portlet.

  Parameters
    `events` - a list of events.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved